﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Infragistics.Web.UI.GridControls;
using Infragistics.Web.UI;
using Infragistics.Web.UI.Framework.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Init(object sender, EventArgs e)
    {
       
    }


    protected void Page_Load(object sender, EventArgs e)
    {
        
        #region "Hierarchical Relationsips"
        DataSet dsQuote = new DataSet();
        dsQuote.Tables.Add(GetQuoteDetails("Parent"));
        dsQuote.Tables.Add(GetTable2Details("Child"));
        dsQuote.Tables.Add(GetTable3Details("GrandChild"));

        DataColumn parentColumn = dsQuote.Tables[0].Columns["QuoteID"];
        DataColumn childColumn = dsQuote.Tables[1].Columns["relation"];
        DataColumn grandChildColumn = dsQuote.Tables[2].Columns["sub-relation"];
        DataRelation relation1 = new DataRelation("RelationName1", parentColumn, childColumn, false);
        DataRelation relation2 = new DataRelation("RelationName2", childColumn, grandChildColumn, false);
        dsQuote.Relations.Add(relation1);
        dsQuote.Relations.Add(relation2);
        #endregion

        WebHierarchicalDataGrid1.DataSource = dsQuote;  

    }

    #region "Grid Data"

    private DataTable GetQuoteDetails(string name)
    {
        DataTable dtData = new DataTable(name);
        DataColumn column;
        DataRow row;

        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int16");
        column.ReadOnly = true;
        column.ColumnName = "QuoteID";
        dtData.Columns.Add(column);

        column = new DataColumn();
        column.DataType = System.Type.GetType("System.String");
        column.ColumnName = "Name";        
        column.Caption = "Name";
        dtData.Columns.Add(column);        

        column = new DataColumn();
        column.DataType = System.Type.GetType("System.String"); ;
        column.ColumnName = "Member";        
        column.Caption = "Member";
        dtData.Columns.Add(column);

        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int16");
        column.ColumnName = "VersionNo";        
        column.Caption = "VersionNo";
        dtData.Columns.Add(column);
        
        
        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = dtData.Columns["QuoteID"];
        dtData.PrimaryKey = PrimaryKeyColumns;

        for (int i = 0; i <= 10; i++)
        {
           row = dtData.NewRow();
           row["QuoteID"] = i;
           row["Name"] = "Name XXXXX XXXXXX XXXXXX XXXXX XXXXXX YYYYY YYYYYY YYYYYY YYYYYY" + i;           
           row["Member"] = "Member" + i;
           row["VersionNo"] = i;
           dtData.Rows.Add(row);
        }

        return dtData;
    }


    private DataTable GetTable2Details(string name)
    {
        DataTable dtData = new DataTable(name);
        DataColumn column;
        DataRow row;


        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int16");
        column.ReadOnly = true;
        column.ColumnName = "QuoteID";
        dtData.Columns.Add(column);


        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int16");
        column.ColumnName = "VersionNo";        
        column.Caption = "VersionNo";
        dtData.Columns.Add(column);

        column = new DataColumn();
        column.DataType = System.Type.GetType("System.String"); 
        column.ColumnName = "ClassName";        
        column.Caption = "Class";
        dtData.Columns.Add(column);

        column = new DataColumn();
        column.DataType = System.Type.GetType("System.String");
        column.ColumnName = "TypeName";
        column.Caption = "Type";
        dtData.Columns.Add(column);


        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int16");
        column.ReadOnly = true;        
        column.ColumnName = "relation";
        column.AutoIncrement = false;        
        dtData.Columns.Add(column);


        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = dtData.Columns["QuoteID"];
        dtData.PrimaryKey = PrimaryKeyColumns;

        for (int i = 0; i <= 110; i++)
            {
                row = dtData.NewRow();
                row["QuoteID"] = i;
                row["VersionNo"] = i;
                row["ClassName"] = "Class" + i;
                row["TypeName"] = "TypeName" + i;


                if ((i < 10) && (i >= 0))
                {

                    row["relation"] = 0;
                }
                else if ((i < 20) && (i >= 10))
                {
                    row["relation"] = 1;
                }
                else if ((i < 30) && (i >= 20))
                {
                    row["relation"] = 2;
                }
                else if ((i < 40) && (i >= 30))
                {
                    row["relation"] = 3;
                }
                else if ((i < 50) && (i >= 40))
                {
                    row["relation"] = 4;
                }
                else if ((i < 60) && (i >= 50))
                {
                    row["relation"] = 5;
                }
                else if ((i < 70) && (i >= 60))
                {
                    row["relation"] = 6;
                }
                else if ((i < 80) && (i >= 70))
                {
                    row["relation"] = 7;
                }
                else if ((i < 90) && (i >= 80))
                {
                    row["relation"] = 8;
                }
                else if ((i < 100) && (i >= 90))
                {
                    row["relation"] = 9;
                }
                else if ((i < 110) && (i >= 100))
                {
                    row["relation"] = 10;
                }


            dtData.Rows.Add(row);
           
        }

            return dtData;
     }


    private DataTable GetTable3Details(string name)
    {
        DataTable dtData = new DataTable(name);
        DataColumn column;
        DataRow row;


        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int16");
        column.ReadOnly = true;
        column.ColumnName = "QuoteID";
        dtData.Columns.Add(column);


        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int16");
        column.ColumnName = "VersionNo";
        column.Caption = "VersionNo";
        dtData.Columns.Add(column);

        column = new DataColumn();
        column.DataType = System.Type.GetType("System.String");
        column.ColumnName = "Sub-Class";
        column.Caption = "Sub-Class";
        dtData.Columns.Add(column);

        column = new DataColumn();
        column.DataType = System.Type.GetType("System.String");
        column.ColumnName = "Classified";
        column.Caption = "TopSecret";
        dtData.Columns.Add(column);


        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int16");
        column.ReadOnly = true;
        column.ColumnName = "sub-relation";
        column.AutoIncrement = false;
        dtData.Columns.Add(column);


        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = dtData.Columns["QuoteID"];
        dtData.PrimaryKey = PrimaryKeyColumns;

        for (int i = 0; i <= 110; i++)
        {
            row = dtData.NewRow();
            row["QuoteID"] = i;
            row["VersionNo"] = i;
            row["Sub-Class"] = "Sub-Class" + "ZTH" + i;
            row["Classified"] = i * 2;


            if ((i < 10) && (i >= 0))
            {

                row["sub-relation"] = 0;
            }
            else if ((i < 20) && (i >= 10))
            {
                row["sub-relation"] = 1;
            }
            else if ((i < 30) && (i >= 20))
            {
                row["sub-relation"] = 2;
            }
            else if ((i < 40) && (i >= 30))
            {
                row["sub-relation"] = 3;
            }
            else if ((i < 50) && (i >= 40))
            {
                row["sub-relation"] = 4;
            }
            else if ((i < 60) && (i >= 50))
            {
                row["sub-relation"] = 5;
            }
            else if ((i < 70) && (i >= 60))
            {
                row["sub-relation"] = 6;
            }
            else if ((i < 80) && (i >= 70))
            {
                row["sub-relation"] = 7;
            }
            else if ((i < 90) && (i >= 80))
            {
                row["sub-relation"] = 8;
            }
            else if ((i < 100) && (i >= 90))
            {
                row["sub-relation"] = 9;
            }
            else if ((i < 110) && (i >= 100))
            {
                row["sub-relation"] = 10;
            }


            dtData.Rows.Add(row);

        }

        return dtData;
    }

    #endregion

    
    protected void WebHierarchicalDataGrid1_InitializeRow(object sender, RowEventArgs e)
    {
        
    }

}

